com.taosdata.jdbc.ws

## Class WebSocketChannelInitializer

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>
      - - com.taosdata.jdbc.ws.WebSocketChannelInitializer

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

    public class WebSocketChannelInitializer
    extends io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Field Summary

Fields
`URI` `serverUri`

### Constructor Summary

Constructors
Constructor and Description
`WebSocketChannelInitializer(ConnectionParam connectionParam, String host, int port, URI serverUri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initChannel(io.netty.channel.socket.SocketChannel ch)`

### Methods inherited from class io.netty.channel.ChannelInitializer

`channelRegistered, exceptionCaught, handlerAdded, handlerRemoved`

### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

`channelActive, channelInactive, channelRead, channelReadComplete, channelUnregistered, channelWritabilityChanged, userEventTriggered`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### serverUri

    public final URI serverUri

### Constructor Detail

#### WebSocketChannelInitializer

    public WebSocketChannelInitializer(ConnectionParam connectionParam,
                                       String host,
                                       int port,
                                       URI serverUri)

### Method Detail

#### initChannel

    protected void initChannel(io.netty.channel.socket.SocketChannel ch)
                        throws Exception

Specified by:
  `initChannel` in class `io.netty.channel.ChannelInitializer<io.netty.channel.socket.SocketChannel>`
Throws:
  `Exception`